<?php

namespace App\Controllers;

use App\Models\Item;

class ItemController{

    public function index(){

        $items = Item::all();

        if($items !== false){
            header( "HTTP/1.0 200 Ok" );
            header("Content-Type: application/json; charset=UTF-8");
            return json_encode($items);
        }else{
            header('HTTP/1.0 500 Internal Server Error');
            header("Content-Type: application/json; charset=UTF-8");
            return json_encode(['error' => 'Error accessing the data base.']);
        }
    }

    public function show($id){

        $item = Item::find($id);


        if($item === false){
            header("HTTP/1.0 404 Not Found");
            header("Content-Type: application/json; charset=UTF-8");
            return json_encode(['message' => 'Item not found']);
        }

        header( "HTTP/1.0 200 Ok" );
        header("Content-Type: application/json; charset=UTF-8");
        return json_encode($item);
    }




}