<?php

namespace Core;
class App
{
    function __construct(){

        $url = $_GET['url'] ?? "/";
        $arguments = explode('/', $url);

        $controller = array_shift($arguments);

        switch ($_SERVER["REQUEST_METHOD"]) {
            case 'GET':
                if($controller !== "auth"){
                    if(!empty($arguments)){
                        $method = "show";
                    }else{
                        $method = "index";
                    }
                }else{
                    $method = array_shift($arguments);
                }
                break;
            case 'POST':
                if($controller !== "auth"){
                    $method = "store";
                }else{
                    $method = array_shift($arguments);
                }
                break;
            case 'PUT':
                $method = "save";
                break;

            case 'DELETE':
                $method = "delete";
                break;
        }

        $controller = str_replace('s', '', $controller);

        $controllerName = "\\App\\Controllers\\" . ucwords($controller).'Controller';



        $controllerObject = new $controllerName;

        if (method_exists($controllerName, $method)) {
            echo $controllerObject->$method($arguments);
        } else {
            header("HTTP/1.0 404 Not Found");
            echo "No encontrado el método";
            die();
        }
    }
}
